summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests
diff options
context:
space:
mode:
authorSimo Sorce <idra@samba.org>2005-07-19 09:09:00 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:29:41 -0500
commitbfb11862698743ee36bc6050269378321e6e577c (patch)
treed8fc86c593dfd6d81eb3853646d75e30d58ba52a /source4/lib/ldb/tests
parentcb060f8bac4114766a1945c2929a75848d0d7185 (diff)
downloadsamba-bfb11862698743ee36bc6050269378321e6e577c.tar.gz
samba-bfb11862698743ee36bc6050269378321e6e577c.tar.bz2
samba-bfb11862698743ee36bc6050269378321e6e577c.zip
r8585: add to ldb and ldap comparison functionality
better pares filters Approx is currently only a stub need to dig more info to understand what it really means and how it works exactly (This used to be commit a9e8cd0bad27ed2b3c6a12302e787ba3c9a70a3c)
Diffstat (limited to 'source4/lib/ldb/tests')
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index cc9f41954f..0e2cb187a1 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -64,5 +64,18 @@ if [ $count != 3 ]; then
exit 1
fi
+echo "Testing compare"
+count=`$VALGRIND ldbsearch '(cn>=U)' cn | grep '^dn' | wc -l`
+if [ $count != 2 ]; then
+ echo returned $count records - expected 2
+ exit 1
+fi
+
+count=`$VALGRIND ldbsearch '(cn<=U)' cn | grep '^dn' | wc -l`
+if [ $count != 13 ]; then
+ echo returned $count records - expected 13
+ exit 1
+fi
+
echo "Testing binary file attribute value"
$VALGRIND ldbmodify $LDBDIR/tests/photo.ldif || exit 1